/* Arduino - Распознавание цвета
 *   
 *   I2C LCD 2/16 дисплей 
 *   - SDA ==> Nano Pin A4  
 *   - SCL ==> Nano Pin A5
 * 
 *   Сенсор цвета TSC3200 
 *    - масштабирование частотного выхода
 *      s0          s1         
 *       L           L         = Отключение питания, без выхода
 *       L           H         = 2%
 *       H           L         = 20%
 *       H           H         = 100% 
 *   - EO = установить LOW, чтобы включить 
 *   
 ********************************************************************************************************/
#include "stationDefines.h"

/* LCD */
#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x27, 16, 2); // установить LCD адрес на 0x27; 16 символов и 2 строки (Использует сканирование I2C для подтверждения адреса)

void setup()
{
  pinMode(s0, OUTPUT);
  pinMode(s1, OUTPUT);
  pinMode(s2, OUTPUT);
  pinMode(s3, OUTPUT);
  pinMode(outPin, INPUT); //выход из датчика становится входом в Arduino

    // Установка масштабирования частоты до 100%
  digitalWrite(s0,HIGH);
  digitalWrite(s1,HIGH);
  
  Serial.begin(9600);
  lcd.begin();
  // lcd.noBacklight();
  lcd.print("MJRoBot ColorDet");
  Serial.println("MJRoBot Color Detector");
  startTiming = millis();
}

void loop()
{
  getColor();
  if (DEBUG) printData(); 
  elapsedTime = millis()-startTiming; 
  if (elapsedTime > 1000) 
  {
    showDataLCD();
    startTiming = millis();
  }
}